Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1683440 - Add EPEL 7 branch for distlib
Summary: Add EPEL 7 branch for distlib
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-distlib
Version: rawhide
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Miro Hrončok
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-02-26 20:53 UTC by Scott K Logan
Modified: 2019-10-23 05:49 UTC (History)
3 users (show)

Fixed In Version: python-distlib-0.2.7-3.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-03 18:50:44 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
Patch for 'f29' to build for EPEL 7 (deleted)
2019-02-26 20:53 UTC, Scott K Logan
no flags Details | Diff
Patch for 'f30' to build for EPEL 7 (deleted)
2019-02-27 19:14 UTC, Scott K Logan
no flags Details | Diff

Description Scott K Logan 2019-02-26 20:53:39 UTC
Created attachment 1538970 [details]
Patch for 'f29' to build for EPEL 7

Prerequisite packages needed to build, test, and install `distlib` are present in EPEL 7. This package is needed for other packages I'm working toward including in EPEL 7. I have attached a patch which can be applied on top of the `f29` branch that makes the package buildable on EPEL 7.

If it makes things easier, please feel free to include me in maintenance of the EPEL 7 branch of the package. My FAS/Pagure account is `cottsay`.

Thanks!

Comment 1 Miro Hrončok 2019-02-26 23:10:50 UTC
Scott, do you need python2 or python34 or python36 distlib?

FWIW I don't think adding python3_other makes sense now when changing python3 to 3.6 is about to happen.

Comment 2 Scott K Logan 2019-02-26 23:13:44 UTC
I specifically need 3.6. Will 3.4 become the new python3_other? If so, is there any harm in adding both if we're going through the trouble?

Also, what's the timeframe for "about to happen?"

Thanks much!

Comment 3 Miro Hrončok 2019-02-26 23:23:41 UTC
> I specifically need 3.6.

I suggest to fork fedora 30/31 and only keep the python3(6) package, if you don't need the python2 package.

> If so, is there any harm in adding both if we're going through the trouble?

cruft? If we make it simple, the specfiles may remain nearly identical on epel7 and Fedora. If it should require plenty of %ifs, I'd rather not.

> Also, what's the timeframe for "about to happen?"

Might strat happening next week. I don't dare to guess when it will be finished. There will be an official announcement on the EPEL channels (mailing lists).

Comment 4 Scott K Logan 2019-02-27 19:14:22 UTC
Created attachment 1539253 [details]
Patch for 'f30' to build for EPEL 7

Very well, I'd suppose I'll take a bet on the Python 3.6 transition.

Here is an updated/minimal patch to be applied on f30, which only builds for %{python3_pkgversion}.

Comment 5 Miro Hrončok 2019-02-27 19:29:36 UTC
I'm good. Harris, would you mind if I apply this for master as well?

Comment 6 Charalampos Stratakis 2019-02-27 21:24:02 UTC
(In reply to Miro Hrončok from comment #5)
> I'm good. Harris, would you mind if I apply this for master as well?

Fine by me

Comment 7 Miro Hrončok 2019-03-05 15:09:10 UTC
https://lists.fedoraproject.org/archives/list/epel-devel@lists.fedoraproject.org/thread/PJ6JGUW7QYLQSBWXLDXSHCKH6TSSFBVK/

Looks like the switch to 3.6 will start in 2 days.

Comment 10 Fedora Update System 2019-03-19 11:20:11 UTC
python-aiosmtpd-1.0-3.el7 python-arrow-0.8.0-4.el7 python-asn1crypto-0.24.0-7.el7 python-astroid-1.4.9-3.el7 python-atpublic-0.5-2.el7 python-attrs-17.4.0-4.el7 python-backports_abc-0.5-2.el7 python-bitarray-0.8.3-2.el7 python-blessed-1.14.1-3.el7 python-blosc-1.2.8-5.el7 python-bottle-0.12.13-2.el7 python-breathe-4.2.0-4.el7 python-bsddb3-6.2.6-4.el7 python-cached_property-1.5.1-2.el7 python-camel-0.1.2-2.el7 python-catkin-sphinx-0.2.2-3.el7 python-certifi-2018.10.15-4.el7 python-chai-1.1.1-5.el7 python-click-6.7-8.el7 python-clyent-1.2.2-3.el7 python-collada-0.4-16.el7 python-colorclass-2.2.0-3.el7 python-contextlib2-0.5.1-3.el7 python-cookies-2.2.1-8.el7 python-cov-core-1.15.0-9.el7 python-crypto-2.6.1-16.el7 python-cytoolz-0.9.0.1-4.el7 python-datadog-0.23.0-3.el7 python-ddt-1.1.3-2.el7 python-defusedxml-0.5.0-2.el7 python-distlib-0.2.7-3.el7 python-distutils-extra-2.39-8.el7 python-dockerpty-0.4.1-10.el7 python-docopt-0.6.2-8.el7 python-easyargs-0.9.4-3.el7 python-easygui-0.96-20.el7 python-ecdsa-0.13-10.el7 python-empy-3.3.3-2.el7 python-enlighten-1.1.0-2.el7 python-execnet-1.2.0-7.el7 python-falcon-1.4.1-2.el7 python-flexmock-0.10.2-5.el7 python-flufl-bounce-2.3-6.el7 python-flufl-i18n-1.1.3-6.el7 python-flufl-lock-2.4.1-6.el7 python-flufl-testing-0.4-6.el7 python-freezegun-0.1.19-2.el7 python-gammu-2.11-3.el7 python3-zope-event-4.2.0-3.el7 python3-zope-interface-4.3.3-4.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-0d62608bce

Comment 11 Fedora Update System 2019-04-03 18:50:44 UTC
python-aiosmtpd-1.0-3.el7, python-arrow-0.8.0-4.el7, python-asn1crypto-0.24.0-7.el7, python-astroid-1.4.9-3.el7, python-atpublic-0.5-2.el7, python-attrs-17.4.0-4.el7, python-backports_abc-0.5-2.el7, python-bitarray-0.8.3-2.el7, python-blessed-1.14.1-3.el7, python-blosc-1.2.8-5.el7, python-bottle-0.12.13-2.el7, python-breathe-4.2.0-4.el7, python-bsddb3-6.2.6-4.el7, python-cached_property-1.5.1-2.el7, python-camel-0.1.2-2.el7, python-catkin-sphinx-0.2.2-3.el7, python-certifi-2018.10.15-4.el7, python-chai-1.1.1-5.el7, python-click-6.7-8.el7, python-clyent-1.2.2-3.el7, python-collada-0.4-16.el7, python-colorclass-2.2.0-3.el7, python-contextlib2-0.5.1-3.el7, python-cookies-2.2.1-8.el7, python-cov-core-1.15.0-9.el7, python-crypto-2.6.1-16.el7, python-cytoolz-0.9.0.1-4.el7, python-datadog-0.23.0-3.el7, python-ddt-1.1.3-2.el7, python-defusedxml-0.5.0-2.el7, python-distlib-0.2.7-3.el7, python-distutils-extra-2.39-8.el7, python-dockerpty-0.4.1-10.el7, python-docopt-0.6.2-8.el7, python-easyargs-0.9.4-3.el7, python-easygui-0.96-20.el7, python-ecdsa-0.13-10.el7, python-empy-3.3.3-2.el7, python-enlighten-1.1.0-2.el7, python-execnet-1.2.0-7.el7, python-falcon-1.4.1-2.el7, python-flexmock-0.10.2-5.el7, python-flufl-bounce-2.3-6.el7, python-flufl-i18n-1.1.3-6.el7, python-flufl-lock-2.4.1-6.el7, python-flufl-testing-0.4-6.el7, python-freezegun-0.1.19-2.el7, python-gammu-2.11-3.el7, python3-zope-event-4.2.0-3.el7, python3-zope-interface-4.3.3-4.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.